// Every package should have a minimal demo, so here is the white triangle in GLUGG version.
// By Ingemar 2021. GLUGG 1.3 version 2022.

// uses framework Cocoa
// uses framework OpenGL
#include "MicroGlut.h"
#include "GL_utilities.h"
#define MAIN
#include "glugg.h"

GLuint program; // Shader
gluggModel triangle;

void draw(void)
{
	glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
	
	gluggDrawModel(triangle, program);
	
	glutSwapBuffers();
}

void init(void)
{
	program = loadShaders("minimal.vert", "minimal.frag");
	
	/* make the triangle */
	gluggBegin(GLUGG_TRIANGLES);
	gluggVertex(-0.5,-0.5,0);
	gluggVertex(0.5,-0.5,0);
	gluggVertex(-0.5,0.5,0);
	triangle = gluggBuildModel(0);
}

int main(int argc, char *argv[])
{
	glutInit(&argc, argv);
	
	glutInitDisplayMode(GLUT_RGB | GLUT_DOUBLE);
	glutInitContextVersion(3, 2);

	glutCreateWindow("GLUGG White Triangle");
	init();
	glutDisplayFunc(draw);

	glutMainLoop();
	return 0;
}
